<nb-card [ngClass]="{'off': !on}" [nbSpinner]="loading" nbSpinnerStatus="success">
    <div class="icon-container">
        <div class="icon status-{{ type }}" (click)="onClick()">
            <ng-content></ng-content>
        </div>
    </div>
    <div class="details">
        <div class="title">{{ title }}</div>
        <br />
        <div>{{ on ? '' : 'Cliquer pour activer' }}</div>
        <div *ngIf="on">
            <a *ngIf="typeStackAss === 'pma'" href="{{ url }}" target="_blank">{{ url }}</a>
            <div *ngIf="typeStackAss === 'sftp'">{{ url }}</div>
        </div>
    </div>
    <div class="etat {{ actif }}">
        <i><b>{{ on ? 'activé' : 'désactivé' }}</b></i>
    </div>
</nb-card>